C3DSplineTransformPenaltyPlugin Class Referenceabstract

`#include <mia/3d/splinetransformpenalty.hh>`

Inheritance diagram for C3DSplineTransformPenaltyPlugin:
[legend]
Collaboration diagram for C3DSplineTransformPenaltyPlugin:
[legend]

## Public Member Functions

| C3DSplineTransformPenaltyPlugin (char const *const name)
Public Member Functions inherited from TFactory< C3DSplineTransformPenalty >
virtual Product * | create (const CParsedOptions &options, char const *params) __attribute__((warn_unused_result))
| TFactory (char const *const name)
Public Member Functions inherited from TPlugin< C3DSplineTransformPenalty::plugin_data, C3DSplineTransformPenalty::plugin_type >
virtual void | get_help (std::ostream &os) const
const std::string | get_long_name () const
| TPlugin (const char *name)
Public Member Functions inherited from CPluginBase
void | add_dependend_handlers (HandlerHelpMap &handler_map)
void | add_property (const char *property)
void | append_interface (CPluginBase *plugin)
| CPluginBase (const char *name)
PPluginModule | get_module () const
unsigned | get_priority () const
bool | has_property (const char *property) const
CPluginBase * | next_interface ()
void | set_module (const PPluginModule &module)
void | set_priority (unsigned p)
virtual | ~CPluginBase ()
Public Member Functions inherited from CParamTranslator
void | add_parameter (const std::string &name, CParameter *param)
void | check_parameters ()
| CParamTranslator (const char *name)
virtual void | do_get_help_xml (CXMLElement &root) const
const std::string | get_descr () const
void | get_help (std::ostream &os) const
void | get_help_xml (CXMLElement &root) const
const char * | get_name () const
void | get_short_help (std::ostream &os) const
void | set_parameters (const CParsedOptions &options)
virtual | ~CParamTranslator ()

## Additional Inherited Members

Public Types inherited from TFactory< C3DSplineTransformPenalty >
typedef C3DSplineTransformPenalty | Product
| typedef to describe the product of the factory
typedef std::shared_ptr< C3DSplineTransformPenalty > | SharedProduct
| typedef for the shared version of the product
typedef std::unique_ptr< C3DSplineTransformPenalty > | UniqueProduct
| typedef for the unique version of the product
Public Types inherited from TPlugin< C3DSplineTransformPenalty::plugin_data, C3DSplineTransformPenalty::plugin_type >
typedef C3DSplineTransformPenalty::plugin_data | PlugData
| Typedef for the data type descriptor handled by this plug-in.
typedef C3DSplineTransformPenalty::plugin_type | PlugType
| Typedef for the plugin type descriptor handled by this plug-in.
Static Public Member Functions inherited from TPlugin< C3DSplineTransformPenalty::plugin_data, C3DSplineTransformPenalty::plugin_type >
static const char * | get_data_path_part ()
static const char * | get_type_path_part ()
Protected Member Functions inherited from CParamTranslator
CParamList & | get_parameters ()

## Detailed Description

Definition at line 126 of file 3d/splinetransformpenalty.hh.

## Constructor & Destructor Documentation

## C3DSplineTransformPenaltyPlugin()

C3DSplineTransformPenaltyPlugin::C3DSplineTransformPenaltyPlugin | ( | char const *const | name | ) |

References C3DSplineTransformPenaltyPlugin(), and normalize().

Referenced by C3DSplineTransformPenaltyPlugin().

The documentation for this class was generated from the following file:

- 3d/splinetransformpenalty.hh